Subject: be2net failed to initialize regression

From: CAI Qian <[email-masked]>
Date: Fri, 8 Mar 2013 04:05:30 -0500 (EST)

Emulex CNA card failed to initialize using 3.8 and the latest upstream kernel,

[   87.479859] be2net 0000:04:00.0: POST timeout; stage=0xc911 
[   87.515978] be2net 0000:04:00.0: Emulex OneConnect initialization failed 
[   87.557130] be2net: probe of 0000:04:00.0 failed with error -1 

lspci output,

04:00.0 Ethernet controller: Emulex Corporation OneConnect 10Gb NIC (rev 02)
04:00.1 Ethernet controller: Emulex Corporation OneConnect 10Gb NIC (rev 02)

04:00.1 Ethernet controller: Emulex Corporation OneConnect 10Gb NIC (rev 02)
        Subsystem: Hewlett-Packard Company NC551i Dual Port FlexFabric 10Gb Adapter

Confirmed no such problem using 3.7 kernel. Reproduced every time and still
bisecting. Just want to give an early head-up to see if anyone saw sometime
obvious.

CAI Qian